<template>
  <div>
    <router-link to="/journal-de-bord" id="Anastasis">
      <img src="/../ressources/anastasis.png" alt="" />
    </router-link>

    <div class="box">
      <h3>Photos du groupe</h3>
    </div>
    <div class="gallery">
      <viewer :options="options" :images="images">
        <img v-for="src in images" :key="src" :src="src" />
      </viewer>
    </div>
  </div>
</template>

<script>
import "viewerjs/dist/viewer.css";
import VueViewer from "v-viewer";
import Vue from "vue";
Vue.use(VueViewer);
export default {
  name: "GroupPicturesPage",
  data() {
    return {
      images: [
        "/../ressources/logs/photos groupe/14-11.png",
        "/../ressources/logs/photos groupe/15-09.png",
        "/../ressources/logs/photos groupe/15-01.png",
        "/../ressources/logs/photos groupe/14-05.png",
        "/../ressources/logs/photos groupe/15-05.png",
        "/../ressources/logs/photos groupe/14-02.png",
      ],
      options: {
        toolbar: {
          zoomIn: 4,
          zoomOut: 4,
          prev: 4,
          next: 4,
        },
      },
    };
  },
  methods: {
    show() {
      this.$viewerApi({
        images: this.images,
      });
    },
  },
  mounted() {
    if (!this.$cookie.get("connected")) {
      this.$router.push({ path: "/journal-de-bord" });
    }
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.gallery div {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: center;
}

.gallery img {
  width: 50%;
  height: auto;
  cursor: pointer;
}
</style>
